<?php

declare(strict_types=1);

namespace OCA\DemoOrganizationProvider\Listener;

use OCA\DemoOrganizationProvider\OrganizationProviders\DemoOrganizationProvider;

use OCA\OrganizationFolders\Events\RegisterOrganizationProviderEvent;

use OCP\EventDispatcher\Event;
use OCP\EventDispatcher\IEventListener;

use Psr\Container\ContainerInterface;

class RegisterOrganizationProviderListener implements IEventListener {
		public function __construct(private ContainerInterface $container) {}

		public function handle(Event $event): void {
			if ($event instanceof RegisterOrganizationProviderEvent) {
				$organizationProviderManager = $event->getOrganizationProviderManager();
				$organizationProviderManager->registerOrganizationProvider(new DemoOrganizationProvider());
			}
		}
}